---
title: VideoTrack.id
slug: Web/API/VideoTrack/id
tags:
  - API
  - HTML DOM
  - Interface
  - Media
  - Property
  - Read-only
  - Reference
  - Video
  - Video Track
  - VideoTrack
  - id
  - track
---
<div>{{APIRef("HTML DOM")}}</div>

<p><span class="seoSummary">The <code><strong>id</strong></code> property contains a string which uniquely identifies the track represented by the <strong>{{domxref("VideoTrack")}}</strong>.</span> This ID can be used with the {{domxref("VideoTrackList.getTrackById()")}} method to locate a specific track within the media associated with a media element.</p>

<p>The track ID can also be used as the fragment of a URL that loads the specific track (if the media supports media fragments).</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>trackID</em> = <em>VideoTrack</em>.id;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} which identifies the track, suitable for use when calling {{domxref("VideoTrackList.getTrackById", "getTrackById()")}} on an {{domxref("VideoTrackList")}} such as the one specified by a media element's {{domxref("HTMLMediaElement.videoTracks", "videoTracks")}} property.</p>


<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-videotrack-id', 'VideoTrack: id')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VideoTrack.id")}}</p>
